Subject: bug#12877: Autoconf, GNU m4 and POSIXLY_CORRECT

From: Sebastian Freundt <[email-masked]>
Date: Wed, 14 Nov 2012 11:09:48 +0000

"Stefano Lattarini" <[email-masked]> writes:

> [+cc autoconf]
>
> On 11/14/2012 07:45 AM, Sebastian Freundt wrote:
>> Stefano Lattarini <[email-masked]> writes:
>> 
>>> tags 12877 + moreinfo
>>> thanks
>>>
>>> Hi Sebastian, thanks for the report.
>>>
>>> On 11/13/2012 11:30 AM, Sebastian Freundt wrote:
>>>> shell> automake --version
>>>> automake (GNU automake) 1.12.1
>>>>
>>>> autoreconf: running: automake --add-missing --copy --force-missing
>>>> Use of uninitialized value $macro in exists at /home/freundt/usr/bin/automake line 5267, <GEN0> line 2.
>>>> Use of uninitialized value $macro in concatenation (.) or string at /home/freundt/usr/bin/automake line 5267, <GEN0> line 2.
>>>> automake: error: unrequested trace ''
>>>> automake: Please contact <[email-masked]>.
>>>>  at /home/freundt/usr/share/automake-1.12/Automake/Channels.pm line 662
>>>>         Automake::Channels::msg('automake', '', 'unrequested trace \'\'') called at /home/freundt/usr/share/automake-1.12/Automake/ChannelDefs.pm line 212
>>>>         Automake::ChannelDefs::prog_error('unrequested trace \'\'') called at /home/freundt/usr/bin/automake line 5267
>>>>         Automake::scan_autoconf_traces('configure.ac') called at /home/freundt/usr/bin/automake line 5533
>>>>         Automake::scan_autoconf_files() called at /home/freundt/usr/bin/automake line 8588
>>>> autoreconf: automake failed with exit status: 29
>>>>
>>>> In project: https://quickplot.svn.sf.net/svnroot/quickplot/trunk
>>>>
>>> I cannot reproduce this failure with the latest automake release (1.12.4).
>>> I've tried with both autoconf 2.69 and autoconf 2.65, just to be extra sure.
>>>
>>> Does the error disappear for you as well if you use automake 1.12.4?
>> 
>> Ah, I found the culprit.  But first off, the tag v1.12.4 isn't in the
>> savannah git repo yet.
>>
> Yikes!  Thank you very much for catching that, it's fixed now.
>
>> (GNU) m4 when being called with the variable POSIXLY_CORRECT behaves
>> differently as all GNU extensions will be suppressed.
>>
> Modern autoconf versions used with modern GNU m4 versions should pass
> the latter the '-g' option, so that the POSIXLY_CORRECT variable does
> not have any effect on the behaviour of GNU m4.  Which versions of
> autoconf and m4 are you using?
>

freundt@clyde:pts/30:~> autoconf --version
autoconf (GNU Autoconf) 2.69
Copyright (C)  Free Software Foundation, Inc.
License GPLv3+/Autoconf: GNU GPL version 3 or later
<http://gnu.org/licenses/gpl.html>, <http://gnu.org/licenses/exceptions.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by David J. MacKenzie and Akim Demaille.

freundt@clyde:pts/30:~> m4 --version
m4 (GNU M4) 1.9a.574-8613
Copyright (C) 2010 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Rene' Seindal, Gary V. Vaughan, and Eric Blake.